package com.emato.ich.utils;

/**
 * 按钮工具类
 */
public class ButtonUtils {

    private static long lastClickTime;

    /**
     * 防止同时点击按钮出现NPE
     * @return    是否是点的最快的
     */
    public synchronized static boolean isFastClick() {
        long time = System.currentTimeMillis();
        if (time - lastClickTime < 500) {
            return true;
        }
        lastClickTime = time;
        return false;
    }

}
